Bug 142748 - CAN-2004-1137 IGMP flaws
CAN-2004-1137 IGMP flaws
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
impact=important,embargo=20041214
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 15:16 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 15:48:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-12-13 15:16:18 EST
isec.pl reported to vendor-sec some flaws in igmp handling which could allow a
local user to cause a kernel deadlock or crash.  They also say it's likely that
you could gain privileges using this flaw.  Looks like only 2.4.22 and above are
affected, however RHEL3 is vulnerable due to a backport of the code in
linux-2.4.21-igmpv3.patch

Embargo until 20041214.  

Patch available in bug 142670
Comment 1 Josh Bressers 2004-12-14 14:21:05 EST
Removing embargo
Comment 2 Josh Bressers 2004-12-14 14:28:59 EST
This issue does have the potential to be remotely exploitable.

From the advisory

(3) The igmp_marksources() function from the network module is called
in the context of an IGMP group query received from the network and
suffers from  an  out  of bound read access to kernel memory. It
happens because the received IGMP message's parameters are not
validated properly.  This flaw is remotely exploitable on Linux
machines with multicasting support if and only if an application has
bound a multicast socket.

This is not a terribly common situation, so it won't alter the
severity of the issue.
Comment 3 Josh Bressers 2004-12-15 08:03:07 EST
This issue doesn't affect RHEL2.1.
Comment 4 Ernie Petrides 2004-12-20 18:41:41 EST
A fix for this problem has just been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.1.EL).
Comment 5 Ernie Petrides 2004-12-22 16:54:31 EST
A fix for this problem has also been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.4.EL).
Comment 6 Josh Bressers 2004-12-23 15:48:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-689.html

Note You need to log in before you can comment on or make changes to this bug.